
Synnefo - Bug # 1105

Status: Closed Priority: High

Author: Vangelis Koukis Category: Admin

Created: 09/14/2011 Assignee: Giorgos Verigakis

Updated: 09/15/2011 Due date:

Subject: The admin interface throws exception on the Invitations tab

Description

Two exceptions were thrown, please investigate whether patching for v0.6.2 is necessary.

Traceback (most recent call last):

  File "/usr/lib/pymodules/python2.6/django/core/handlers/base.py", line 100, in get_response

    response = callback(request, *callback_args, **callback_kwargs)

  File "/srv/okeanos/synnefo/admin/views.py", line 25, in wrapper

    return func(request, *args)

  File "/srv/okeanos/synnefo/admin/views.py", line 50, in index

    html = render('index.html', 'home', stats=stats, images=images)

  File "/srv/okeanos/synnefo/admin/views.py", line 17, in render

    return render_to_string(template, kwargs)

  File "/usr/lib/pymodules/python2.6/django/template/loader.py", line 181, in render_to_string

    t = get_template(template_name)

  File "/usr/lib/pymodules/python2.6/django/template/loader.py", line 157, in get_template

    template, origin = find_template(template_name)

  File "/usr/lib/pymodules/python2.6/django/template/loader.py", line 138, in find_template

    raise TemplateDoesNotExist(name)

TemplateDoesNotExist: index.html

And then:

  File "/srv/okeanos/synnefo/admin/views.py", line 17, in render

    return render_to_string(template, kwargs)

  File "/usr/lib/pymodules/python2.6/django/template/loader.py", line 186, in render_to_string

    return t.render(context_instance)

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 173, in render

    return self._render(context)

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 167, in _render

    return self.nodelist.render(context)

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 796, in render
    bits.append(self.render_node(node, context))

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 809, in render_node

    return node.render(context)

  File "/usr/lib/pymodules/python2.6/django/template/loader_tags.py", line 125, in render

    return compiled_parent._render(context)

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 167, in _render

    return self.nodelist.render(context)

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 796, in render

    bits.append(self.render_node(node, context))

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 809, in render_node

    return node.render(context)

  File "/usr/lib/pymodules/python2.6/django/template/loader_tags.py", line 62, in render

    result = block.nodelist.render(context)

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 796, in render

    bits.append(self.render_node(node, context))

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 809, in render_node

    return node.render(context)

  File "/usr/lib/pymodules/python2.6/django/template/defaulttags.py", line 174, in render

    nodelist.append(node.render(context))

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 849, in render

    return _render_value_in_context(output, context)

  File "/usr/lib/pymodules/python2.6/django/template/__init__.py", line 829, in _render_value_in_context

    value = force_unicode(value)

  File "/usr/lib/pymodules/python2.6/django/utils/encoding.py", line 88, in force_unicode

    raise DjangoUnicodeDecodeError(s, *e.args)

DjangoUnicodeDecodeError: 'ascii' codec can't decode byte 0xce in position 0: ordinal not in range(128). You passed in

<SynnefoUser: [Ba

d Unicode data]> (<class 'synnefo.db.models.SynnefoUser'>)

Associated revisions

Revision f6a8043d - 09/14/2011 03:16 pm - Giorgos Verigakis

Explicitly display the name of the users

Should fix unicode issues with non-ascii user names.

Refs #1105
History

#1 - 09/14/2011 11:46 am - Giorgos Verigakis

The first exception has been resolved. It was caused because the admin app had not be registered in the settings of the deployment server.

#2 - 09/15/2011 02:00 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Merged into master, closing.
